IIS and Web Servers
WC 4.66 and WS2012R
Gravatar is a globally recognized avatar based on your email address. WC 4.66 and WS2012R
  fredkarm
  All
  Jul 23, 2020 @ 05:30pm

Have to set up a new installation under WS2012R2. I believe this has IIS 8.5. Will my wC 4.66 work with this

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  Rick Strahl
  fredkarm
  Jul 24, 2020 @ 01:18am

Yes it'll work on Server 2012.

+++ Rick ---

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  Arcadio Bianco
  Rick Strahl
  Jul 24, 2020 @ 01:27pm

I use WC 4.66 on win server 2016 in conjunction with foxincloud and it also works perfectly.

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  Rick Strahl
  Arcadio Bianco
  Jul 24, 2020 @ 01:45pm

There's forward compatibility for older versions.

IIS hasn't significantly changed since Server 2008R2 so anything that worked with that will work with versions through 2019.

The best way to ensure things work well is to get off the ISAPI module and use the .NET Handler. I can't remember if that was part of 4.x or started but I think it started in earlier versions of 4.x.

+++ Rick ---

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  fredkarm
  Rick Strahl
  Jul 28, 2020 @ 08:19pm

I tried to install 4.68 on new server with WS2012R2 (IIS8.5). Installation program only shows IIS 6. Nothing seemed to hppen so I went into e:\wconnect and ran setup.exe - comes up with error 1426 (cannot create moniker or moniker cannot open ..) and then cannot create lovirtual error 1924, and then tells me to shut down IIS and restart and manually copy wc.dll to web server directory. Because this is VFP 9 I did not run any batch file. I thought it would come up with Hello World. However the wconnect window is open to process requests Please help

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  Rick Strahl
  fredkarm
  Jul 29, 2020 @ 12:58am

Well - not surprising: The software you're using is nearly 20 years old and it doesn't out of the box support installing on a newer server 😃 This is what's called technical debt, and you have 20 years of it now.

It will work but you'll have to manually configure the server and application and if you're unfamiliar with IIS configuration this isn't exactly trivial. This is much easier in newer versions (for a variety of reasons), but with your old version there are no shortcuts.

You can find instructions in the current version of Web Connection for IIS Configuration (you'll need to install using ISAPI) that applies to more recent version of IIS (basically IIS 7 and later which all use the same configuration system):

You'll have to manually configure the virtual directory, permissions, set up your temp folder etc. There should also be instructions in your help file. The instructions won't match exactly because the newer versions use a specific project format to help automate a number of tasks and settings, but if you read the instructions carefully you can apply the concepts to your older version.

If that's all too much, I can also help you through paid support and you can find more info here:

+++ Rick ---

Gravatar is a globally recognized avatar based on your email address. re: WC 4.66 and WS2012R
  fredkarm
  Rick Strahl
  Jul 29, 2020 @ 09:21am

I find this too much, I need your help. Will email you and if you can give me an idea of how long it will take we can go ahead

© 1996-2020